Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.aspectj.weaver.tools
Class WeavingAdaptor.WeavingAdaptorMessageHandler

    java.lang.Object
      org.aspectj.bridge.MessageWriter
          org.aspectj.weaver.tools.WeavingAdaptor.WeavingAdaptorMessageHandler

All Implemented Interfaces:
  org.aspectj.bridge.IMessageHandler

Enclosing class:
  WeavingAdaptor

    protected class WeavingAdaptor.WeavingAdaptorMessageHandler

extends org.aspectj.bridge.MessageWriter

Processes messages arising from weaver operations. Tell weaver to abort on any message more severe than warning.

Field Summary

Fields inherited from class org.aspectj.bridge.MessageWriter
`abortOnFailure, writer`

Fields inherited from interface org.aspectj.bridge.IMessageHandler
`SYSTEM_ERR, SYSTEM_OUT, THROW`

Constructor Summary
`WeavingAdaptor.WeavingAdaptorMessageHandler(java.io.PrintWriter writer)`

Method Summary
`void` | `dontIgnore(org.aspectj.bridge.IMessage.Kind kind)` Remove a message kind from the list of those ignored from now on.
`void` | `flushMessages()`
`boolean` | `handleMessage(org.aspectj.bridge.IMessage message)`
`void` | `ignore(org.aspectj.bridge.IMessage.Kind kind)` Set a message kind to be ignored from now on
`boolean` | `isIgnoring(org.aspectj.bridge.IMessage.Kind kind)`

Methods inherited from class org.aspectj.bridge.MessageWriter
`render`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WeavingAdaptor.WeavingAdaptorMessageHandler

    public WeavingAdaptor.WeavingAdaptorMessageHandler(java.io.PrintWriter writer)

Method Detail

### handleMessage

    public boolean handleMessage(org.aspectj.bridge.IMessage message)
                          throws org.aspectj.bridge.AbortException

  Specified by:
    `handleMessage` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `handleMessage` in class `org.aspectj.bridge.MessageWriter`
  Throws:
    `org.aspectj.bridge.AbortException`

### isIgnoring

    public boolean isIgnoring(org.aspectj.bridge.IMessage.Kind kind)

  Specified by:
    `isIgnoring` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `isIgnoring` in class `org.aspectj.bridge.MessageWriter`

### ignore

    public void ignore(org.aspectj.bridge.IMessage.Kind kind)

  Set a message kind to be ignored from now on

### dontIgnore

    public void dontIgnore(org.aspectj.bridge.IMessage.Kind kind)

  Remove a message kind from the list of those ignored from now on.

  Specified by:
    `dontIgnore` in interface `org.aspectj.bridge.IMessageHandler`
  Overrides:
    `dontIgnore` in class `org.aspectj.bridge.MessageWriter`

### flushMessages

    public void flushMessages()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD